//Drew Bagnell 
//Servo Controller for single chip board E2

//This program allows control of 16 servos in C, through the serial port. It sends an 'a'
//to indicate it has started. Send the servo number to control in hex,followed by the 
//pulse width, and then a comma. To turn the servo on or off, send the servo number in hex,
//and a 0 for off, a 1 for on. 
//The chip should return an 'r' for each successfully recieved commands. Pulse widths vary 
//full scale of servo from about 1250 to 4500 (depends on the servo). Do not exceed 1000 to 
//5000 (since the servo can't handle it, and it screws timing all up.)


#include "xsr16.h"
#include <serial.h>


void 
main(void)
{
   int servo_number,instruction_holder,final_pw,i;	

   init_serial();

   init_servos();

   putchar('a');

   while(1)
   {
   
   servo_number = get_char();
   if (servo_number < 58 )
      servo_number -= 48;
   else 
      servo_number = servo_number - 'a' + 10;

   final_pw = 0;
   
   i = 0;
   while( ( (instruction_holder = get_char()) != ',' ) && (i < 5))
	{
		  instruction_holder = instruction_holder - 48;
		  final_pw = final_pw * 10;	  //sneaky...
		  final_pw += instruction_holder;		  //
    	          i++;
   }

   putchar( 'r' );
   
   if(final_pw == 0 || final_pw == 1)
      servo_power(servo_number,final_pw);
   else
      servo(servo_number,final_pw);

   }


}




   
