/************************************************************************
 * 			MEKATRONIX Copyright 1998 		        *
 * Title        serialtj.h                                              *
 * Programmer   Keith L. Doty                                           *
 * Date         March 10, 1998                                          *
 * Version      1                                                       *
 *                                                                      *
 * Description								*
 *	This header file refers to all routines and interrupt drivers   *
 *      necessary for TJ serial communication on the SCI. Object file is*
 *	in libtj.a                                                      *
 *   Settings                                                           *
 *      9600 baud, 8 bits, no parity, 1 stop bit, no flow of control.   *
 ************************************************************************/


#ifndef _SERIALTJ_H
#define _SERIALTJ_H

/**************************** Includes **********************************/

#include <hc11.h>
#include <mil.h>

/**************************** End of Includes ***************************/

/***************************** Prototypes *******************************/
void init_serial(void); /* Set up the SCI port  */
char get_char(void);     /* Read (receive) a character from the SCI port.*/
void put_char(char);     /* Write (transmit) a character to the SCI port.*/
void write(char *string); /* Write (transmit) a character string. */
void writeln(char *strng);
/* Write (transmit) a character string followed by a newline (carriage_return 
 * followed by a line_feed character).
 */

void put_int(int);      /* Write (transmit) an integer to the SCI port. */
void write_int(int);
/* 
 * Write (transmit) an integer to the SCI port prefixed by a space and
 * followed by a newline (carriage_return, line_feed).
 */

int read_int(void); 
/* 
 * Read(receive) an integer from the SCI port
 * followed by a carriage_return and a line_feed.
 */


#endif
