
/**********************************************************************
 * 			MEKATRONIX Copyright 1998 		      *
 * Title            vectors.c                                           *
 * Programmer       Keith L. Doty                                     *
 * Date             February 17, 1998                                 *
 * Version          1.0                                               *
 *                                                                    *
 * Description					 		      *
 *	This file defines all the MC68HC11 interrupt service routines.*
 * 	The isr_declare.c module defines empty functions for the ISR  *
 *	routines not being used.				      *
 *								      *
 * Version History:                                                   *
 *                                                                    *
 **********************************************************************/
extern void SCI_isr(void);
extern void SPI_isr(void);
extern void PAIE_isr(void);
extern void PAV_isr(void);
extern void TOF_isr(void);
extern void TOC5_isr(void);
extern void TOC4_isr(void);
extern void TOC2_isr(void);
extern void TOC3_isr(void);
extern void TOC1_isr(void);
extern void TIC3_isr(void);
extern void TIC2_isr(void);
extern void TIC1_isr(void);
extern void RTI_isr(void);
extern void IRQ_isr(void);
extern void XIRQ_isr(void);
extern void SWI_isr(void);
extern void ILLOP_isr(void);
extern void COP_isr(void);
extern void CLMON_isr(void);
extern void _start(void); 	/* Reset entry point in crt11.s */


#pragma abs_address:0xffd6
/* change the above address if your vector starts elsewhere */

void (*interrupt_vectors[])(void) =
	{
	/* to cast a constant, say 0xb600, use(void (*)())0xb600 */

	SCI_isr,  	/* SCI, RS232 protocol */
	SPI_isr,  	/* SPI, high speed synchronous serial*/
	PAIE_isr, 	/* Pulse accumulator input edge */
	PAV_isr,  	/* Pulse accumulator overflow */
	TOF_isr,  	/* Timer overflow */
	TOC5_isr, 	/* TOC5 */
	TOC4_isr, 	/* TOC4 */
	TOC3_isr,	/* TOC3 */
	TOC2_isr,	/* TOC2 */
	TOC1_isr,	/* TOC1 */
	TIC3_isr,	/* TIC3 */
	TIC2_isr,	/* TIC2 */
	TIC1_isr,	/* TIC1 */
	RTI_isr,	/* RTI */
	IRQ_isr,	/* IRQ */
	XIRQ_isr,	/* XIRQ */
	SWI_isr,	/* SWI */
	ILLOP_isr,	/* ILLOP */
	COP_isr,	/* COP */
	CLMON_isr,	/* CLMON */
	   _start       /* RESET */
	};

#pragma end_abs_address
