/**********************************************************************
*                        MEKATRONIX Copyright 1998
*
* Title        sensetj.c
* Programmer   Keith L. Doty
* Date         March 30, 1998
* Version 

* Description 
This program outputs the values of the IR detectors and the bumper switches.

* Usage
Type any character to get a new sample of the sensor readings.

Serial Protocol of this program:
  baud=9600, 8 data bits, 1 stop bit, no parity, no flow control.
 
 Example: 
   Configure Hyperterm on Win95:
   Direct to COM1, 9600 baud, 8 bits, no parity, 1 stop bit,
   no flow control.

**********************************************************************/

/*************************** Includes ********************************/

#include <tjbase.h>

/************************ End of Includes ****************************/


/*************************** Constants **********************************/

#define CR 13
#define LF 10

/************************ End of Constants ******************************/


/***************************** Main **********************************/
void main(void)
{
  int c;
  init_serial();
  init_analog();
  init_ir();
  
  DDRC = 0x00;           /* Set PORTC (bumper) for input */

  while(1)
  {
    write("L_IR  "); write_int(ir_value(6));
    write("R_IR "); write_int(ir_value(7));
    
    write("Bump "); write_int(PORTC-128);

    c = get_char(); 
 }   
}
/************************** End of Main ******************************/
